<template>
  <div id="app">
    <section class="banner">

      <Header/>
      <div class="container flex justify-between rs-banner">
        <div class="banner-info">
          <h1 class="p-r-20">Spa Center</h1>
          <p class="banner-text">
            commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore
            eu fugiat nulla pariatur. Excepteur sint
          </p>
          <a class="btn primary button-lg m-r-15" href="#">contact us</a>
          <a class="btn primary button-lg" href="#">read more</a>
        </div>
        <div class="banner-carousel">
          <carousel :items="1"
                    :dots="false"
                    :navText="[`<span class='fas fa-chevron-left lft-rht text-bold h3'></span>`,`<span class='fas fa-chevron-right lft-rht text-bold h3'></span>`]"
          >
            <iframe
                    width="100%"
                    height="400"
                    src="https://www.youtube.com/embed/1RG_qhN4e3M"
                    title="YouTube video player"
                    frameborder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowfullscreen>

            </iframe>
            <iframe width="100%"
                    height="400"
                    src="https://www.youtube.com/embed/TRn7l9tfIss"
                    title="YouTube video player"
                    frameborder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowfullscreen>

            </iframe>
            <iframe width="100%"
                    height="400"
                    src="https://www.youtube.com/embed/U3ASj1L6_sY"
                    title="YouTube video player"
                    frameborder="0"
                    allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
                    allowfullscreen>

            </iframe>

          </carousel>
        </div>
      </div>

    </section>

    <main class="main-content">

      <section class="appointment">

        <div class="container-sm">
          <h2>Make Appointment</h2>
          <p class="m-t-10">Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu</p>
          <form action="#" class="form flex justify-between">
            <div class="form-input">
              <input type="text" placeholder="Your Name" v-model="form.name">
            </div>
            <div class="form-input">
              <input type="text" placeholder="Email" v-model="form.email">
            </div>
            <div class="form-input">
              <input type="text" placeholder="Phone Number" v-mask="'###/ ### / ## / ##'" v-model="form.phone">
            </div>
            <div class="form-input">
              <input type="text" placeholder="Select Message Spa" v-model="form.text">
            </div>
            <div class="form-input">
              <input type="text" placeholder="Time" v-mask="'## / ## / ####'" v-model="form.time">
            </div>
            <div class="form-input">
              <input type="text" placeholder="Date" v-mask="'## / ## / ####'" v-model="form.date">
            </div>

            <button class="btn primary button-lg form-btn">send now</button>

          </form>
        </div>

      </section>

      <section class="services container-sm">

        <h2>Our Message Services</h2>
        <ul class="flex justify-between services-list">
          <li v-for="(service, index) in services" :key="index" class="services-item">
            <h5 class="m-b-20">{{service.name}}</h5>
            <img :src="service.imgSrc" alt="img">
            <p class="m-t-20">{{service.text}}</p>
            <button class="btn primary button-lg m-t-65">{{service.btnTxt}}</button>
          </li>
        </ul>

      </section>

      <section class="pricing">

        <div class="container-sm p-l-70 p-r-70 rs-pd">
          <div class="m-b-100 rs-mb">
            <h2>Our Pricing</h2>
            <p class="m-t-10">Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu</p>
          </div>
          <div class="pricing-card-block flex justify-between">
            <div class="pricing-card">
              <div class="card-item">
                <h4 class="m-t-35 m-b-40">Regular Price</h4>
                <i class="fas fa-dollar-sign fa-2x" style="color:white"></i>
                <span>50</span>
                <p>sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim aliquip</p>

              </div>
              <a class="btn secondary button-lg card-btn">read more</a>
            </div>
            <div class="pricing-card">
              <div class="card-item">

                <h4 class="m-t-35 m-b-35">Special Price</h4>
                <i class="fas fa-dollar-sign fa-2x" style="color:white"></i>
                <span>100</span>
                <p>sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim aliquip</p>


              </div>
              <a class="btn secondary button-lg card-btn">read more</a>
            </div>
          </div>
        </div>

      </section>

      <section class="blog">

        <div class="container-sm">
          <h2>Latest Blog</h2>
          <p class="m-t-10">Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu</p>
          <ul class="flex justify-between blog-list m-t-45">
            <li v-for="(blog, index) in blogs" :key="index" class="blog-item">
              <img :src="blog.imgSrc" alt="img">
              <h6 class="m-t-10 m-b-5">{{blog.name}}</h6>
              <p>{{blog.text}}</p>
              <a class="btn primary button-lg blog-btn">{{blog.btnTxt}}</a>
            </li>
          </ul>
        </div>

      </section>

      <section class="about">

        <div class="container">
          <div class="flex justify-between align-center">
            <div class="about-image-block">
              <img src="./assets/images/essential-oil-1280.png" alt="img">
            </div>
            <div class="about-info">
              <h3>About Our Center</h3>
              <p class="m-t-35">sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
                Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris
                nisi ut aliquipsed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
                Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip
              </p>
              <a class="btn primary button-lg m-t-55">read more</a>
            </div>
          </div>
        </div>

      </section>

      <section class="customers ">

        <div class="customer-carousel container-sm">
          <h2>What is Says Customers</h2>
          <carousel
                  :items="1"
                  :dots ="false"
                  :navText="[`<span class='fas fa-chevron-left lft-rht text-bold h3'></span>`,`<span class='fas fa-chevron-right lft-rht text-bold h3'></span>`]"
          >

            <div class="flex carousel-block justify-between align-center m-t-70" style="width: 1165px" v-for="(customer, index) in customers" :key="index">
              <div class="flex flex-direction carousel-customer">
                <img :src="customer.imgSrc" alt="img">
                <span class="customer-info-1">{{customer.info}}</span>
                <span class="customer-info-2">{{customer.distribution}}</span>
              </div>
              <div class="carousel-info">
                <p>{{customer.text}}</p>
              </div>
            </div>

          </carousel>
        </div>
        
      </section>


      <section class="all-category">

        <div class="container category-block">
          <div class="flex justify-between">
            <ul class="category-list">
              <li class="category-item"><h5 class="m-b-10">About</h5></li>
              <li class="category-item"><a>category-link</a></li>
              <li class="category-item"><a>category-link</a></li>
              <li class="category-item"><a>category-link</a></li>
              <li class="category-item"><a>category-link</a></li>
              <li class="category-item"><a>category-link</a></li>
              <li class="category-item"><a>category-link</a></li>
            </ul>
            <ul class="category-list">
              <li class="category-item"><h5 class="m-b-10">Blog</h5></li>
              <li class="category-item"><a>category-link</a></li>
              <li class="category-item"><a>category-link</a></li>
              <li class="category-item"><a>category-link</a></li>
              <li class="category-item"><a>category-link</a></li>
            </ul>
            <ul class="category-list">
              <li class="category-item"><h5 class="m-b-10">Menu</h5></li>
              <li class="category-item"><a>Home</a></li>
              <li class="category-item"><a>About Us</a></li>
              <li class="category-item"><a>Services</a></li>
              <li class="category-item"><a>Blog</a></li>
              <li class="category-item"><a>Contact</a></li>
            </ul>
            <ul class="category-list">
              <li class="category-item"><h5 class="m-b-15">NewsLetter</h5></li>
              <li>
                <input type="text" class="input-sm" placeholder="Email">
                <button class="btn alternative button-sm m-t-20 m-b-25">subscribe</button>
              </li>
              <li class="category-item"><i class="fas fa-phone-volume phone"></i><a>+01123544545</a></li>
              <li class="category-item"><i class="fas fa-envelope email"></i><a>demo.@gmail.com</a></li>
            </ul>
          </div>
        </div>
      </section>

    </main>

    <Footer/>

    <a href="#" id="scroll">
      <i class="fas fa-arrow-circle-up up-scroll"></i>
    </a>

  </div>


</template>

<script>
import Header from "./components/Header";
import carousel from 'vue-owl-carousel'
import Footer from "./components/Footer";

export default {
  name: 'App',
  components: {
    carousel,
    Header,
    Footer

  },

  data:()=>({
    form: {
      name: '',
      email: '',
      phone: '',
      text: '',
      time: '',
      date: ''

    },
    services: [
      {
        name: 'Ayurveda Spa',
        imgSrc: require("@/assets/images/towel.png"),
        text: 'sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.' +
                ' Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip',
        btnTxt: 'READ MORE'
      },
      {
        name: 'Massage Spa',
        imgSrc: require("@/assets/images/towel.png"),
        text: 'sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.' +
                ' Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip',
        btnTxt: 'READ MORE'
      },
      {
        name: 'Luxury Spa',
        imgSrc: require("@/assets/images/essential.png"),
        text: 'sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.' +
                ' Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip',
        btnTxt: 'READ MORE'
      }
    ],
    blogs: [
      {
        name: 'Quis Nostrud',
        imgSrc: require("@/assets/images/stones-810548_1280.png"),
        text: 'sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.' +
                ' Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip',
        date: '16 March',
        btnTxt: 'READ MORE'
      },
      {
        name: 'Veniam, Quis',
        imgSrc: require("@/assets/images/violet-flower.png"),
        text: 'sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.' +
                ' Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip',
        date: '17 March',
        btnTxt: 'READ MORE'
      },
      {
        name: 'Tempor Incidient',
        imgSrc: require("@/assets/images/physiotherapy.png"),
        text: 'sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.' +
                ' Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip',
        date: '18 March',
        btnTxt: 'READ MORE'
      }
    ],
    customers: [
      {
        imgSrc: require("@/assets/images/matheus-ferrero.png"),
        info: 'english.many',
        distribution: 'normal distribution',
        text: '  when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal\n' +
                'distribution of letters, as opposed to using \'Content here, content here\', making it look like\n' +
                'readable English. Many desktop publishing packages and web page editorswhen looking at its layout.\n' +
                'The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters,\n' +
                'as opposed to using \'Content here, content here\', making it look like readable English.\n' +
                'Many desktop publishing packages and web page editors'

      },
      {
        imgSrc: require("@/assets/images/matheus-ferrero.png"),
        info: 'italian.many',
        distribution: 'hard distribution',
        text: '  when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal\n' +
                'distribution of letters, as opposed to using \'Content here, content here\', making it look like\n' +
                'readable English. Many desktop publishing packages and web page editorswhen looking at its layout.\n' +
                'The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters,\n' +
                'as opposed to using \'Content here, content here\', making it look like readable English.\n' +
                'Many desktop publishing packages and web page editors'

      },
      {
        imgSrc: require("@/assets/images/matheus-ferrero.png"),
        info: 'armenian.many',
        distribution: 'medium distribution',
        text: '  when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal\n' +
                'distribution of letters, as opposed to using \'Content here, content here\', making it look like\n' +
                'readable English. Many desktop publishing packages and web page editorswhen looking at its layout.\n' +
                'The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters,\n' +
                'as opposed to using \'Content here, content here\', making it look like readable English.\n' +
                'Many desktop publishing packages and web page editors'

      },
      {
        imgSrc: require("@/assets/images/matheus-ferrero.png"),
        info: 'spanish.many',
        distribution: 'ease distribution',
        text: '  when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal\n' +
                'distribution of letters, as opposed to using \'Content here, content here\', making it look like\n' +
                'readable English. Many desktop publishing packages and web page editorswhen looking at its layout.\n' +
                'The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters,\n' +
                'as opposed to using \'Content here, content here\', making it look like readable English.\n' +
                'Many desktop publishing packages and web page editors'

      }
    ]

  }),

}
</script>

<style>
#app {



}
</style>
